Subject: file-roller missing dependencies
To: None <>
From: Eric Gillespie <>
List: tech-pkg
Date: 01/11/2003 10:06:53
The file-roller package is simply a front-end to archivers such
as zip, rar, tar, etc.  This means that the package as it stands
now lies about its capabilities, since it doesn't depend on any
of these archivers.  I happen to have zip and unzip on my system
already, but a user who doesn't won't be able to create or
extract zip archives.  The same goes for other formats, such as

Making file-roller depend on all the supported archivers is
probably overkill.  For example, is it really necessary to force
the lzop package onto a user's system?  Has anyone ever seen an
lzop-compressed file?

Eric Gillespie, Jr. <*>

Build a fire for a man, and he'll be warm for a day.  Set a man on
fire, and he'll be warm for the rest of his life. -Terry Pratchett